net.minecraftforge.liquids

## Enum IBlockLiquid.BlockType

- java.lang.Object
- - java.lang.Enum<IBlockLiquid.BlockType>
  - - net.minecraftforge.liquids.IBlockLiquid.BlockType

- All Implemented Interfaces:
    Serializable, Comparable<IBlockLiquid.BlockType>
  Enclosing interface:
    IBlockLiquid

      public static enum IBlockLiquid.BlockType
      extends Enum<IBlockLiquid.BlockType>

  Controls the type of block that is generated by this IBlockLiquid

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FINITE` Finite liquid style, uses cellular automata to model flowing behaviour.
    `NONE` No block.
    `VANILLA` Vanilla style block, up to 8 flowing states.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IBlockLiquid.BlockType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IBlockLiquid.BlockType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final IBlockLiquid.BlockType NONE

      No block. Completeness really.

    - #### VANILLA

          public static final IBlockLiquid.BlockType VANILLA

      Vanilla style block, up to 8 flowing states. May be able to generate new sources.

    - #### FINITE

          public static final IBlockLiquid.BlockType FINITE

      Finite liquid style, uses cellular automata to model flowing behaviour.

  - ### Method Detail

    - #### values

          public static IBlockLiquid.BlockType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IBlockLiquid.BlockType c : IBlockLiquid.BlockType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IBlockLiquid.BlockType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null